# ArduinoLearningKitStarter

[[English version follows]](https://github.com/RoboticsBrno/ArduinoLearningKitStarter#english-version)

Licence: [CC BY-SA 4.0](https://creativecommons.org/licenses/by-sa/4.0/?)

Knihovna: [ArduinoLarningKitStarter-library](https://github.com/RoboticsBrno/ArduinoLearningKitStarter-library.git) ([PlatformIO](https://platformio.org/lib/show/1745/ArduinoLearningKitStarter/))

Výukový kit pro Arduino Nano, Arduino Uno a 
[ESP32-DevKitC](https://www.espressif.com/en/products/hardware/esp32-devkitc/overview) 
určeným začátečníkům od [RobotikaBrno.cz](http://robotikabrno.cz/). 
Cílem projektu je usnadnit úplným začátečníkům jejich první krůčky s Arduinem 
a vyhnout se "bastlení vrabčího hnízda". Náš kit si klade za cíl odstranit 
typické nedostatky vývojových desek pro Arduina – jako např. malý počet 
napájecích pinů pro periférie. Veškeré komponenty jsou ve velkých pouzdrech, 
což umožňuje desku osadit i začátečníkům.

Deska obsahuje:

- 4 LED
- RGB LED
- 3 tlačítka
- 2 potenciometry
- 5 konektorů pro připojení modelářského servomotoru (s posíleným napájením přes
  microUSB konektor)
- port pro připojení vlhkoměrného čidla DHT11
- port pro připojení sériové linky
- odpojitelné blokovací kondenzátory u tlačítek pro demonstraci zákmitů
- fotorezistor
- dostatečný počet napájecích pinů

Náš kit také funguje jako redukce Arduino Nano-Uno a umožňuje tak připojit k
Arduinu Nano shieldy určené pro Arduino Uno. V případě že by nějaká komponenta
kitu znemožňovala funkci shieldu, je možné ji přes pájecí můstek odpojit.

Jak s naším kitem začít? Postupuj podle [Wiki stránky](https://github.com/RoboticsBrno/ArduinoLearningKitStarter/wiki).

## English Version

License: [CC BY-SA 4.0](https://creativecommons.org/licenses/by-sa/4.0/?)

Library: [ArduinoLarningKitStarter-library](https://github.com/RoboticsBrno/ArduinoLearningKitStarter-library.git) ([PlatformIO](https://platformio.org/lib/show/1745/ArduinoLearningKitStarter/))

Learning kit for Arduino Nano, Arduino Uno and [ESP32-DevKitC](https://www.espressif.com/en/products/hardware/esp32-devkitc/overview)  
for complete beginners by
[RobotikaBrno.cz](http://robotikabrno.cz/). This kit tries ease the first steps
with Arduino programming and tries to prevent a "wire mess". It also tries to
eliminate usual imperfections of Arduino-like boards - e.g. the lack of
sufficient number of power supply pins for your peripherals. All the components
are in large packages and therefore, even a beginner can populate this board.

The board contains:

- 4 LEDs
- RGB LED
- 3 buttons
- 2 potentiometers
- 5 connectors for RC servo (with external power supply)
- port for humidity sensor DHT11
- port for serial line
- detachable debouncing capacitors for a button to demonstrate this phenomenon
- photo resistor
- sufficient number of power pins

The kit can be also used as a converter for Arduino Nano-Uno and therefore,
shields originally intended for Arduino Uno can be also used with Arduino Nano.
If there is pin collision between shield and a kit component, the component can
be disconnected using a solder bridge.

Getting started - read our [wiki page](https://github.com/RoboticsBrno/ArduinoLearningKitStarter/wiki#english).

### Photos (version 2.0)

The latest version is [v3.2](https://github.com/RoboticsBrno/ArduinoLearningKitStarter/releases/).

![/media/ALKS_v2.0_2.01_top.JPG](/media/ALKS_v2.0_2.01_top.JPG)

![/media/ALKS_v2.0_2.02_top+nano.JPG](/media/ALKS_v2.0_2.02_top+nano.JPG)

![/media/ALKS_v2.0_2.03_trig+nano.JPG](/media/ALKS_v2.0_2.03_trig+nano.JPG)

![/media/ALKS_v2.0_3.00_top.JPG](/media/ALKS_v2.0_3.00_top.JPG)

![/media/ALKS_v2.0_3.01_bot.JPG](/media/ALKS_v2.0_3.01_bot.JPG)

![/media/ALKS_v2.0_3.02_trig+nano.JPG](/media/ALKS_v2.0_3.02_trig+nano.JPG)
